1.13.0                          10-August-2014
----------------------------------------------
- Fixed virtual collections statistics
- Fixed tag RID fetch
- Fixed HRID-based fetches
- Fixed race condition in StorageDebugger
- Use FindBacktrace.cmake from CMake 3.0 instead of our own detection

1.12.90                           07-July-2014
----------------------------------------------
- MERGE command for faster synchronization
- Optimizations in various commands handlers
- SELECT command is obsolete now
- Performance and concurrency improvements in QSQLITE3 driver
- Introduced Collection sync preferences as an improvement over the IMAP-based subscription model
- Disable filesystem copy-on-write for DB files when running on Btrfs
- Introduced direct streaming of external parts
- Fixed SearchManager DBus interface not being registered to DBus
- Fixed handling of tags in AK-APPEND and MERGE commands
- Various fixes in virtual collections handling

1.12.1                           07-April-2014
----------------------------------------------
- Fixed deadlock in SearchManager
- Fixed notification emission when appending items
- Fixed ItemRetriever ignoring changeSince argument
- Fixed X-AKAPPEND command response
- Fixed RID-based FETCH
- Fixed data loss in case of long-lasting copy or move operations

1.12.0                           25-March-2014
----------------------------------------------
- Improved 'akonadictl status' command output
- Fixed indexing of items in collections with short cache expiration
- Fixed building Akonadi in subdirectory
- Fixed deadlock in SearchManager
- Fixed runtime warnings

1.11.90                          19-March-2014
----------------------------------------------
- Fixed collection scheduling
- Fixed indexing of expired items from local resources
- Fixed database schema update with PostgreSQL
- Fixes in searching and search updates

1.11.80                       28-February-2014
----------------------------------------------
- Server-search support
- Search plugins support
- Tags support
- Fixes and improvements in search
- Fixes in protocol parser
- Fixed inter-resource moves
- Fixed .desktop files parsing
- Optimized collections tasks scheduling
- Optimized flags handling
- Optimized appending new items via AK-APPEND
- Handle database transactions deadlocks and timeouts
- Improved PostgreSQL support
- Soprano is now an optional dependency
- Removed MySQL Embedded support

1.11.0			      28-November-2013
----------------------------------------------
- fix joined UPDATE queries failing with SQLite

1.10.80                       05-November-2013
----------------------------------------------
- Servser-side notification filtering
- GID support
- Export custom agent properties to clients
- Faster Akonadi shutdown
- Improved and faster database schema check on start
- Enabled C++11 support
- Optimize some SQL queries
- Store only relative paths to external payload files in database

1.10.3                         04-October-2013
----------------------------------------------
- Fix support for latest PostgreSQL
- Check MySQL version at runtime, require at least 5.1
- Fix crash when destroying DataStore with backends other than MySQL
- Fix problem with too long socket paths
- Send dummy queries to MySQL to keep the connection alive
- Fix crash when no flags are changed

1.10.2                            23-July-2013
----------------------------------------------
- Fix PostgreSQL support (once more)

1.10.1				  22-July-2013
----------------------------------------------
- Fix PostgreSQL support
- Optimize appending flags to items
- Introduce CHANGEDSINCE parameter to FETCH command

1.10.0                            09-July-2013
----------------------------------------------
- Memory optimizations
- Fix a runtime error on Windows

1.9.80                            10-June-2013
----------------------------------------------
- Update item access time less often.
- Don't try to start akonadiserver if mysqld is not installed
- Allow to fetch available items even if there are errors in some of the items.
- Properly restrict the external part removal to the deleted collection.
- Support checking the cache for payloads in the FETCH command.
- Add infrastructure to track client capabilities.
- Allow to disable the cache verification on retrieval.
- fsck: move orphaned pim items to lost+found, delete orphaned pim item flags.
- Introduce NotificationMessageV2 that supports batch operations on set of entities.
- Fix build with Boost >= 1.53.
- Fix a runtime issue with MySQL >= 5.6 (MySQL >= 5.1.3 is now the minimum version).

1.9.2                             05-May-2013
---------------------------------------------
- Add option to FETCH to ignore external retrieval failures.
- Properly restrict external payload removal.
- Add buildsystem option to choose between Qt4 and Qt5.

1.9.1                           02-March-2013
---------------------------------------------
- Disable query cache for Sqlite.
- Handle missing mysqld better.
- Ignore my.cnf settings when using the internal MySQL server.

1.9.0                        23-December-2012
---------------------------------------------
- Respect collection cache policy refresh interval for collection tree sync.
- Fix initialization of PostgreSQL database.
- Correctly count items flags in virtual collections.
- Notify parent virtual collections about item changes.
- Require CMake >= 2.8.8.
- Remove dependency to Automoc4.
- Support Qt 5.

1.8.80                       12-November-2012
---------------------------------------------
- Recover from lost external payload files.
- Improve the virtual collections handling.
- Notify clients about database schema updates.
- Reduce item access time updates.
- Make use of referential integrity if supported by the database backend.
- Add prepared query cache.
- Many code and queries optimizations.

1.8.1                         14-October-2012
---------------------------------------------
- Fix payload loss on some move/copy scenarios.
- Improve error reporting for failed item retrievals.

1.8.0                            25-July-2012
---------------------------------------------
- Fix deadlock in ad-hoc Nepomuk searches.

1.7.95                           11-July-2012
---------------------------------------------
- Fix Nepomuk queries getting stuck if Nepomuk service crashes.
- Fix unecessary remote retrieval of already cached item parts.
- Reset RID/RREV during cross-resource collection moves.
- Increase timeout for remote item retrieval.

1.7.90                           08-June-2012
---------------------------------------------
- Fix handling of large SPARQL queries.
- Support cleanup of orphaned resources in the consistency checker.
- Support compilation with Clang.

1.7.2                           31-March-2012
---------------------------------------------
- Fix and optimize searching via Nepomuk.

1.7.1                           03-March-2012
---------------------------------------------
- Don't truncate SPARQL queries in virtual collections.
- Optimize change notifications for deleted collection attributes.
- Fix possible data loss during item copy/move operations.

1.7.0                         23-January-2012
---------------------------------------------
- Fix search result retrieval from Nepomuk.

1.6.90                       20-December-2011
---------------------------------------------
- Support for PostgreSQL >= 9.
- Improve RFC 3501 compatibility in LOGIN and non-silent SELECT commands.
- Add support for running multiple instance concurrently in the same user session.
- Update agent interface to include collectionTreeSynchronized signal.
- Add consistency checker system.
- Add support for database vacuuming.
- Various optimizations to reduce the number of SQL queries.

1.6.2                         03-October-2011
---------------------------------------------
- Do not update item revision if only the RID or RREV changed.
- Fix usage of wrong ids for part filenames.
- Only set item dirty flag if the payload changed.
- Only drop content mimetype for unsubscribed collections in LIST/LSUB.

1.6.1                       15-September-2011
---------------------------------------------
- Fix crash on agent launcher exit.
- Fix valgrind-ing agents running in the agent launcher.
- Fix restarting of agents in broken state.
- Fix pipe naming on multi-user Windows systems.
- Raise MySQL timeout.

1.6.0                            10-July-2011
---------------------------------------------
- Enable external payload storage unconditionally.
- Treat single UID/RID fetches as error if the result set is empty.

1.5.80                            21-May-2011
---------------------------------------------
- WinCE database performance improvements.
- Include destination resource in move notifications.
- Fix crash in protocol parser.
- Fix possible race on accessing table caches.
- Use QStringBuilder if available.
- Improved notification message API.

1.5.3                             07-May-2011
---------------------------------------------
- Fix crash when copying collections into themselves.

1.5.2                           05-April-2011
---------------------------------------------
- Fix XdgBaseDirs reporting duplicated paths.
- Use correct database name when using internal MySQL.

1.5.1                        28-February-2011
---------------------------------------------
- Unbreak searching with Nepomuk 4.6.

1.5.0                         22-January-2011
---------------------------------------------
- Fix Boost related build issues on Windows.
- Hide akonadi_agent_launcher from Mac OS X dock.

1.4.95                        07-January-2011
---------------------------------------------
- Optimize notification compression.
- Consider ignore flag when calculating collection statistics.
- Fix item payload size calculation.
- Improved FETCH response order heuristic.
- Fix Strigi-based persistent search folders.
- Fix error propagation in FETCH command handler.

1.4.90                       20-December-2010
---------------------------------------------
- Set agent status for crashed instances.
- Allow to restart crashed agent instances.
- Automatically recover from loss of the resource table.
- Allow to specify the query language in persistent search commands.
- Fix leak of notification sources.

1.4.85                       18-December-2010
---------------------------------------------
- Fix agent server startup race.
- Allow to globally enable/disable the agent server.
- Fix autostart of agents running in the agent server.
- Fix agent configuration when running in the agent server.
- Fix agent server shutdown crash.
- Put sockets into /tmp to support AFS/NFS home directories.
- Fix access rights on persistent search folders.
- Add support for sub-collection tree syncs in resource interface.

1.4.80                       21-November-2010
---------------------------------------------
- Experimental support for MeeGo.
- Return changed revision numbers in STORE response.
- Fix Nepomuk searches mixing up items and email attachments.
- Experimental Strigi search backend.
- Compensate for Nepomuk D-Bus API breakage.
- Fix parsing of serialization format version.
- Optimize collection statistics queries.
- Optimize protocol output generation.
- Optimize protocol parsing.
- Build-time configurable default database backend.
- Fix ancestor chain quoting.
- Fix finding of components on Windows in install location.
- New subscription interface for change notifications.
- Support for in-process agents and agent server.
- Support for Sqlite.
- Experimental support for ODBC-based database backends.
- Support Windows CE.

1.4.1                         22-October-2010
---------------------------------------------
- Improve range query performance.
- Fix MySQL database upgrade happening too early.
- Fix MySQL database upgrade setting wrong priviledges.
- Fix non-index access slowing down server startup.
- ASAP parser performance optimizations
- Respect SocketDirectory setting also for database sockets.
- Allow $USER placeholder in SocketDirectory setting.
- Fix ASAP parser failing on non-zero serialization format versions.

1.4.0                            31-July-2010
---------------------------------------------
- Add change notification for collection subscription state changes.
- Enable filesystem payload store by default.
- Fix unicode folder name encoding regression.

1.3.90                           04-July-2010
---------------------------------------------
- Reset RIDs on inter-resource moves.
- Optimize disk space usage with internal MySQL.
- Improve error reporting of the Akonadi remote debugging server.
- Fix moving collections into the collection root.
- Report PostgreSQL database errors in english independent of locale settings.
- Fix unicode collection name encoding.
- Optimize cache pruning with filesystem payload store.
- Fix automatic migration between database and filesystem payload store.

1.3.85                           09-June-2010
---------------------------------------------
- Avoid unneeded full resource sync when using sync-on-demand cache policies.
- Fix crash when using D-Bus session bus in a secondary thread.
- Reduce emission of unneccessary change notifications.
- Fix empty filename use in fs backend.

1.3.80                            27-May-2010
---------------------------------------------
- Fix unicode collection name encoding.
- Support HRID-based FETCH commands.
- Fix Nepomuk-based persistent searches when Nepomuk was not running during Akonadi startup.
- Fix compilation on Windows CE.
- Optimize item retrieval queries.
- Support modification of existing persistent searches.
- Support different query languages for persistent searches.
- Fix PostgreSQL shutdown.
- Add initial support for Sqlite.
- Fix premature command abortion.
- Fix parsing of cascaded lists.
- Support for mysql_update_db.
- Support for mysql_install_db.
- Improved protocol tracing for akonadiconsole.
- Support MySQL backend on Maemo.
- Allow RID changes only to the owning resource.
- Add Akonadi remote debugging server.
- Add support for marking chaced payloads as invalid.
- Add support for remove revision property.
- Fix MySQL connection loss after 8 hours of inactivity.
- Fix D-Bus race on server startup.
- Fix internal MySQL on Windows.
- Fix config and data file location on Windows.
- Fix PostgreSQL startup when using internal server.
- Refactor database configuration abstraction.

1.3.1                        09-February-2010
---------------------------------------------
- Fix D-Bus connection leak in Nepomuk search backend.
- Disable slow query logging by default for internal MySQL.

1.3.0                         20-January-2010
---------------------------------------------
- Work around D-Bus bug that could cause SEARCH to hang.

1.2.90                        06-January-2010
---------------------------------------------
- Fix change notifications for search results.
- Fix database creation with PostgreSQL.
- Fix copying of item flags.
- Fix internal MySQL shutdown.
- Support PostgreSQL in internal mode.
- Fix table name case mismatch.

1.2.80                       01-December-2009
---------------------------------------------
- Support for collection content type filtering as part of LIST.
- Adapt to Nepomuk query service changes.
- Experimental support for PostgreSQL.
- Support for preprocessor agents.
- Support for distributed searching.
- Support for agents creating virtual collections.
- Protocol parser fixes for non-Linux/non-KDE clients.
- Support for single-shot searches using the Nepomuk query service.
- Support HRID-based LIST operations.
- Support RID-based MOVE, COLMOVE, LINK and UNLINK opertions.
- Respect cache-only retrieval also regarding on-demand syncing.
- Add configuration accepted/rejected signals to the agent interface.
- Fix change notification compression when using modified parts sets.
- Use one retrieval pipeline per resource.
- Reduce unecessary change notification on flag changes.
- Fix RID quoting.
- Fix resource creating race for autostarted agents.
- Create new database also when using external db servers.
- Return the created result collection when creating a persistent search.

1.2.1                          28-August-2009
---------------------------------------------
- Fix item creation with RID's containing a ']'.
- Fix ASAP parser not reading the entire command.

1.2.0                            28-June-2009
---------------------------------------------
- Fix attribute joining in collection list results.
- Buildsystem fixes for Mac OS.
- Do not show a console window for akonadi_control on Windows.

1.1.95                           23-June-2009
---------------------------------------------
- Fix item size handling.
- Add support for retrieving collection statistics as part
  of the AKLIST/AKLSUB commands.
- Add support for collection size statistics.
- Build fixes for Windows.
- Support RID-based operations for CREATE, MODIFY and DELETE.
- Avoid emitting unecessary change notifications when
  modifying items or collections.
- Add COLMOVE command.
- Reduce number of database writes when modifying a collection.
- Fix parsing of attributes containing CR or LF characters.

1.1.90                           03-June-2009
---------------------------------------------
- Return the storage location for items in FETCH responses
- Fix remode identifier encoding problems
- Fix infinite loop when parsing RID lists
- Fix parsing errors on stray newlines
- Support RID-based operations for STORE and MOVE
- Fix race on resource creation
- Provide modified item parts in change notifications
- Build system fixes

1.1.85                            05-May-2009
---------------------------------------------
- Improved CMake scripts so it is possible to detect
  the Akonadi version in projects that depend on it.
- Simplified the check for existance of tables.
- Add a dedicated item deletion command, to get rid of 
  the old STORE/EXPUNGE which was extremely inefficient.
- Some fixes to support sqlite in the future.
- Soprano is required now.
- Qt 4.5.0 is required now.
- Support for collection retrieval by remote identifier.
- Support for item retrieval based on the remote identifier.
- Less useless debug output.
- Fixed leak on socket error.
- Various smaller bug fixes, see ChangeLog for a list.
- Support for writing large payloads to a file.
- New Item retrieval code.
- Added a streaming IMAP parser, and ported code the use it.
- Add support for manually restarting an agent instance.

1.1.2                             30-Apr-2009
---------------------------------------------
- Avoid DBUS lockups, reported at: https://bugs.kde.org/182198
- Update user mysql.conf only if global/local one's are newer

1.1.1                             21-Jan-2009
---------------------------------------------
- Fix code that was not executed in a release build.
- Require CMake 2.6.0 which fixes boost detection.
- Don't try to restart an agent that has been deleted.

1.1.0                             03-Jan-2009
---------------------------------------------
- Restart agents when their executable changed.
- Buildsystem fixes to find and link boost on all platforms.
- Improvements to the startup to prevent partial startup.
- Include revision number in the version string when building from SVN.
- Shut down when we lost the connection to the D-Bus session bus.
- add some basic handling of command line args.
- Add a D-Bus call to flush the notification queue.
- Automatically fix world-writeable mySQL config files.
- Fix for FreeBSD mysql path.

1.0.81                            16-Dec-2008
---------------------------------------------
- Restore protocol backward compatibility with Akonadi 1.0.x servers.
- Build system fixes.
- Fix compiler warnings.
- Fall back to the default server path if the configured one points
  to a non-existing file.

1.0.80                            19-Nov-2008
---------------------------------------------
- Query agent status information asynchronously and answer all queries from
  cached values, reduces the risk of an agents blocking the Akonadi server.
- Increase mysql limits to more realistical values.
- Don't mark all new items as recent.
- Changes so it can store the size of an item.
- Better error detection.
- Prevent translated month names in the protocol.
- Some build fixes.
- Handle multiline output correctly.
- Terminate the control process when the server process failed to start.
- Add the ability to debug or valgrind a resource right from the
  beginning, similar to the way this can be done with KIO slaves.
- Fix fetching of linked items in arbitrary collections.
- Add notification support for item references in virtual collections.
- Add LINK/UNLINK commands to edit references to items in virtual collections.
- Add a way to notify agents that their configuration has been changed remotely.
- Make sure that all modification times are stored in UTC time zone.
- Unquoted date time with a lenght of 26 characters was not parsed properly.
- Add serverside timestamp support for items.

1.0.0                            22-July-2008
---------------------------------------------
- First official stable release
- Bugfix: Unquoted date time with a lenght of
  26 characters was not parsed properly.
- Add serverside timestamp support for items.
- Build system fixes (windows & automoc)

0.82.0                           18-June-2008
---------------------------------------------
- Several build and installation fixes for windows and mac.
- Some improvements in the build system.
- Add item part namespaces.
- Implemented all the fetch modes advertised in ItemFetchScope.
- Notify already running clieants about all found types during startup.

0.81.0                            10-May-2008
---------------------------------------------
- Fix bug where full part was not fetched when a partial part was available already.
- Collection parsing optimalisation.
- Optimization for quoted string parsing.
- Use org.freedesktop namespace, instead of org.kde for the dbus interfaces.
- Add support for version numbers for database and protocol.
- Fixed foreach misusage.
- Depend on external automoc package instead of a copy.

0.80.0                            24-Apr-2008 
---------------------------------------------
- Initial release
